Anonymous Login
2016-12-09 01:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
07135Bug reports[All Projects] Survey takingpublic2013-01-04 13:34
Reporterhelper 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionno change required 
Product Version2.00+ 
Target VersionFixed in Version 
Summary07135: URL is rewriting
DescriptionThe survey sid is dropping from the URL after the welcome screen.

This action creates an issue for those who want to complete the survey later and want to bookmark where they are at in the survey.
Steps To ReproduceOn a survey that has "save for later" and the welcome screen enabled, start a survey. At the welcome screen the URL has the sid and the actual number. Once you click next the URL shows only the index.
TagsNo tags attached.
Complete LimeSurvey version number (& build)121231
I will donate to the project if issue is resolvedNo
BrowserChrome, FF, IE
Database & DB-VersionSQL Server 2008
Operating System (Server)Windows 7 and 2008r2
Webserver software & versionApache 2.4
PHP VersionPHP 3.4
Attached Files

-Relationships
+Relationships

-Notes

~23449

c_schmitz (administrator)

That's the intended behaviour. A bookmark won't help because the underlying session data would be lost anyway.

~23450

helper (reporter)

Interesting that I can create a URL with the token ID and return to the survey where I "saved for later" in a different browser from the one that the original survey was taken.

~23451

helper (reporter)

the following is an example of a created URL with the token:

https://localhost/MSSQL/index.php/survey/index/sid/653847/token/gcxfykbgms3z9xtr8hkyde3c2/newtest/Y

~23452

c_schmitz (administrator)

Yes, you need a token for that. But for security reason we don't show the token in the URL all the time. Please do not re-open. Thank you.
+Notes

-Issue History
Date Modified Username Field Change
2013-01-03 17:50 helper New Issue
2013-01-03 22:33 c_schmitz Note Added: 23449
2013-01-03 22:33 c_schmitz Status new => closed
2013-01-03 22:33 c_schmitz Assigned To => c_schmitz
2013-01-03 22:33 c_schmitz Resolution open => no change required
2013-01-04 13:02 helper Note Added: 23450
2013-01-04 13:02 helper Status closed => feedback
2013-01-04 13:02 helper Resolution no change required => reopened
2013-01-04 13:28 helper Note Added: 23451
2013-01-04 13:28 helper Status feedback => assigned
2013-01-04 13:34 c_schmitz Note Added: 23452
2013-01-04 13:34 c_schmitz Status assigned => closed
2013-01-04 13:34 c_schmitz Resolution reopened => no change required
+Issue History